Package org.apache.sysds.parser

## Class LiveVariableAnalysis

- java.lang.Object
- - org.apache.sysds.parser.LiveVariableAnalysis

Direct Known Subclasses:
  `StatementBlock`

    public abstract class LiveVariableAnalysis
    extends Object

### Constructor Summary

Constructors
`LiveVariableAnalysis()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract VariableSet` `analyze​(VariableSet loPassed)`
`VariableSet` `getGen()`
`VariableSet` `getKill()`
`VariableSet` `getWarn()`
`abstract VariableSet` `initializebackwardLV​(VariableSet loPassed)`
`abstract VariableSet` `initializeforwardLV​(VariableSet activeIn)`
`VariableSet` `liveIn()`
`VariableSet` `liveOut()`
`void` `setGen​(VariableSet ge)`
`void` `setKill​(VariableSet ki)`
`void` `setLiveIn​(VariableSet li)`
`void` `setLiveOut​(VariableSet lo)`
`void` `setReadVariables​(VariableSet vars)`
`void` `setUpdatedVariables​(VariableSet vars)`
`void` `updateLiveVariablesOut​(VariableSet liveOut)`
`VariableSet` `variablesRead()`
`VariableSet` `variablesUpdated()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LiveVariableAnalysis

    public LiveVariableAnalysis()

### Method Detail

#### variablesRead

    public VariableSet variablesRead()

#### variablesUpdated

    public VariableSet variablesUpdated()

#### getWarn

    public VariableSet getWarn()

#### liveIn

    public VariableSet liveIn()

#### liveOut

    public VariableSet liveOut()

#### getKill

    public VariableSet getKill()

#### getGen

    public VariableSet getGen()

#### setLiveOut

    public void setLiveOut​(VariableSet lo)

#### setLiveIn

    public void setLiveIn​(VariableSet li)

#### setKill

    public void setKill​(VariableSet ki)

#### setGen

    public void setGen​(VariableSet ge)

#### setUpdatedVariables

    public void setUpdatedVariables​(VariableSet vars)

#### setReadVariables

    public void setReadVariables​(VariableSet vars)

#### initializeforwardLV

    public abstract VariableSet initializeforwardLV​(VariableSet activeIn)

#### initializebackwardLV

    public abstract VariableSet initializebackwardLV​(VariableSet loPassed)

#### analyze

    public abstract VariableSet analyze​(VariableSet loPassed)

#### updateLiveVariablesOut

    public void updateLiveVariablesOut​(VariableSet liveOut)